.TH XUSER 1 "Release 4" "X Version 11"
.SH NAME
xuser - add or remove user names from the KACL extension.
.SH SYNOPSIS
.B xuser
[[+-]user ...]
.SH DESCRIPTION
The \fIxuser\fP program 
is used to add and delete users to the list of users that are allowed
to make connections to the X server when MCNC-KHERABEROS-1
authentication is in effect.  If MCNC-KHERABEROS-1 is not in use, then
the access control list (ACL) is not used by the server and may be used by
the user for any other purpose.
.PP
.SH OPTIONS
\fIXuser\fP accepts the following command line options described below.
.TP 8
.BI "\[\+\]" "user"
The given \fIuser\fP (the plus sign is optional)
is added to the access control list.
.TP 8
.BI \- "user"
The given \fIuser\fP is removed from the access control list.
.TP 8
.I nothing
If no command line arguments are given, the list of users that are in
the ACL is printed on the standard output.
.SH "SEE ALSO"
X(1), Xserver(1), xhost(1)
.SH ENVIRONMENT
.TP 8
.B DISPLAY
to get the default host and display to use.
.SH BUGS
.PP
You can't specify a display on the command line because
.B \-display 
is a valid command line argument (indicating that you want
to remove the user named 
.I ``display''
from the access list).
.SH NOTE
This program is loosely based on xhost, and is intended to work in a
similar fashion.
.SH AUTHOR
Vivek Khera, MCNC and Duke University (khera@mcnc.org or khera@cs.duke.edu).
