/* misc defines for access control list extension */

/*
 * Copyright 1990 MCNC and Vivek Khera
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of MCNC not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  MCNC makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * MCNC DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL MCNC
 * BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author:  Vivek Khera, MCNC
 */

/* $Header: Kacl.h,v 1.5 90/09/18 10:21:22 bin Exp $ */

#ifndef _KACL_H_
#define _KACL_H_

#define X_KACLChangeUsers	0
#define X_KACLGetUsers		1

#define aclUserInsert		0
#define aclUserDelete		1

#define KACLNumberEvents	0
#define KACLNumberErrors	0

#ifndef _KACL_SERVER_	/* don't need library defines */
# if NeedFunctionPrototypes

Bool XKACLQueryExtension(Display *, int *, int *);
Status XKACLAddUser(Display *, const char *);
Status XKACLDeleteUser(Display *, const char *);
char *XKACLGetUsers(Display *);
void XKACLFreeList(const char *);

# else /* no prototypes */

Bool XKACLQueryExtension();
Status XKACLAddUser();
Status XKACLDeleteUser();
char *XKACLGetUsers();
void XKACLFreeList();

# endif /* prototypes */
#endif /* server */

#endif /* _KACL_H_ */
